"use strict";
const common_vendor = require("../../../../common/vendor.js");
const sheep_index = require("../../../index.js");
const sheep_validate_form = require("../../../validate/form.js");
const sheep_hooks_useModal = require("../../../hooks/useModal.js");
const sheep_api_member_auth = require("../../../api/member/auth.js");
require("../../../api/index.js");
require("../../../api/distri/score.js");
require("../../../request/index.js");
require("../../../config/index.js");
require("../../../store/index.js");
require("../../../store/app.js");
require("../../../api/promotion/diy.js");
require("../../../platform/index.js");
require("../../../platform/provider/wechat/index.js");
require("../../../platform/provider/wechat/miniProgram.js");
require("../../../api/member/social.js");
require("../../../api/member/user.js");
require("../../../platform/provider/apple/index.js");
require("../../../platform/share.js");
require("../../../router/index.js");
require("../../../helper/throttle.js");
require("../../../url/index.js");
require("../../../platform/pay.js");
require("../../../helper/index.js");
require("../../../helper/test.js");
require("../../../helper/digit.js");
require("../../../api/pay/order.js");
require("../../../store/user.js");
require("../../../store/cart.js");
require("../../../api/trade/cart.js");
require("../../../api/pay/wallet.js");
require("../../../api/trade/order.js");
require("../../../api/promotion/coupon.js");
require("../../../store/sys.js");
require("../../../store/modal.js");
require("../../../api/distri/share.js");
require("../../../api/distri/team.js");
require("../../../api/infra/file.js");
require("../../../api/member/address.js");
require("../../../api/member/point.js");
require("../../../api/member/signin.js");
require("../../../api/migration/app.js");
require("../../../api/migration/chat.js");
require("../../../api/migration/index.js");
require("../../../api/migration/third.js");
require("../../../api/pay/channel.js");
require("../../../api/product/category.js");
require("../../../api/product/comment.js");
require("../../../api/product/favorite.js");
require("../../../api/product/history.js");
require("../../../api/product/spu.js");
require("../../../api/promotion/activity.js");
require("../../../api/promotion/article.js");
require("../../../api/promotion/bargain.js");
require("../../../api/promotion/combination.js");
require("../../../api/promotion/rewardActivity.js");
require("../../../api/promotion/seckill.js");
require("../../../api/system/area.js");
require("../../../api/system/voice.js");
require("../../../api/trade/afterSale.js");
require("../../../api/trade/brokerage.js");
require("../../../api/trade/config.js");
require("../../../api/trade/delivery.js");
require("../../../config/zIndex.js");
if (!Array) {
  const _easycom_uni_easyinput2 = common_vendor.resolveComponent("uni-easyinput");
  const _easycom_uni_forms_item2 = common_vendor.resolveComponent("uni-forms-item");
  const _easycom_uni_forms2 = common_vendor.resolveComponent("uni-forms");
  (_easycom_uni_easyinput2 + _easycom_uni_forms_item2 + _easycom_uni_forms2)();
}
const _easycom_uni_easyinput = () => "../../../../uni_modules/uni-easyinput/components/uni-easyinput/uni-easyinput.js";
const _easycom_uni_forms_item = () => "../../../../uni_modules/uni-forms/components/uni-forms-item/uni-forms-item.js";
const _easycom_uni_forms = () => "../../../../uni_modules/uni-forms/components/uni-forms/uni-forms.js";
if (!Math) {
  (_easycom_uni_easyinput + _easycom_uni_forms_item + _easycom_uni_forms)();
}
const _sfc_main = {
  __name: "account-login",
  props: {
    agreeStatus: {
      type: Boolean,
      default: false
    }
  },
  emits: ["onConfirm"],
  setup(__props, { emit: __emit }) {
    const accountLoginRef = common_vendor.ref(null);
    const emits = __emit;
    const props = __props;
    const state = common_vendor.reactive({
      model: {
        username: "",
        // 账号
        password: ""
        // 密码
      },
      rules: {
        username: sheep_validate_form.username,
        password: sheep_validate_form.password
      }
    });
    async function accountLoginSubmit() {
      const validate = await common_vendor.unref(accountLoginRef).validate().catch((error) => {
        console.log("error: ", error);
      });
      if (!validate)
        return;
      if (!props.agreeStatus) {
        emits("onConfirm", true);
        sheep_index.sheep.$helper.toast("请勾选同意");
        return;
      }
      const {
        code,
        data
      } = await sheep_api_member_auth.AuthUtil.login(state.model);
      if (code === 0) {
        sheep_hooks_useModal.closeAuthModal();
      }
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => state.model.username = $event),
        b: common_vendor.p({
          placeholder: "请输入用户名",
          inputBorder: false,
          modelValue: state.model.username
        }),
        c: common_vendor.p({
          name: "username",
          label: "用户名"
        }),
        d: common_vendor.o(($event) => state.model.password = $event),
        e: common_vendor.p({
          type: "password",
          placeholder: "请输入密码",
          inputBorder: false,
          modelValue: state.model.password
        }),
        f: common_vendor.p({
          name: "password",
          label: "密码"
        }),
        g: common_vendor.sr(accountLoginRef, "f21c903c-0", {
          "k": "accountLoginRef"
        }),
        h: common_vendor.o(($event) => state.model = $event),
        i: common_vendor.p({
          rules: state.rules,
          validateTrigger: "bind",
          labelWidth: "140",
          labelAlign: "center",
          modelValue: state.model
        }),
        j: common_vendor.o(accountLoginSubmit)
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f21c903c"], ["__file", "D:/zx/mall-front-app/sheep/components/s-auth-modal/components/account-login.vue"]]);
wx.createComponent(Component);
